%global         momorel 9
%global         realver 1.967009

Name:           perl-Parse-RecDescent
Version:        1.967.009
Release:        %{momorel}m%{?dist}
Summary:        Generate Recursive-Descent Parsers
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-RecDescent/
Source0:        http://www.cpan.org/authors/id/J/JT/JTBRAUN/Parse-RecDescent-%{realver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker >= 6.62
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Text-Balanced
BuildRequires:  perl-version
Requires:       perl-Test-Simple
Requires:       perl-Text-Balanced
Requires:       perl-version
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Overview

%prep
%setup -q -n Parse-RecDescent-%{realver}

%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Parse/RecDescent.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009-9m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009-8m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009-7m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009-2m)
- rebuild against perl-5.16.0

* Sat Mar 17 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.009)
- update to 1.967009

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.967.006)
- update to 1.967006

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.965.001-10m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.965.001-9m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.965.001-8m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.965.001-7m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.965.001-6m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.965.001-5m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.965.001-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.965.001-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.965.001-2m)
- rebuild against perl-5.12.0

* Tue Apr 06 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.965.001-1m)
- update to 1.965001
- Specfile re-generated by cpanspec 1.78.

* Thu Feb 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.964-1m)
- update to 1.964

* Thu Jan 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.963-1m)
- update to 1.963

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.962.2-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.962.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Aug 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.962.2-1m)
- update to 1.962.2

* Fri Aug 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.962.0-1m)
- update to 1.962.0

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.96.0-2m)
- rebuild against perl-5.10.1

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linu.org>
- (1.96.0-1m)
- update to 1.96.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.95.1-3m)
- rebuild against rpm-4.6

* Sun Aug  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.95.1-2m)
- modify %%files to avoid conflicting

* Fri Aug 01 2008 Tabuchi Takaaki <tab@momonga-linux.org>
- (1.95.1-1m)
- Specfile autogenerated by cpanspec 1.75 for Momonga Linux.
- remake specfile for do not use filelist method
- use perl_vendorlib

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.95.1-1m)
- update to 1.95.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.94-8m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.94-7m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.95-6m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.94-5m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.94-4m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.94-3m)
- remove Epoch from BuildRequires

* Sun Jan 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.94-1m)

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.80-2m)
- modify install dir

* Sat Nov 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.80-1m)
- import from fedora

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Sat Jul 20 2002 Chip Turner <cturner@localhost.localdomain>
- remove Text::Balanced modules since they are now in core perl

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated

